summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xpym/portage/tests/runTests2
-rwxr-xr-xruntests.sh2
2 files changed, 2 insertions, 2 deletions
diff --git a/pym/portage/tests/runTests b/pym/portage/tests/runTests
index 6b3311d28..146f7d4ac 100755
--- a/pym/portage/tests/runTests
+++ b/pym/portage/tests/runTests
@@ -1,4 +1,4 @@
-#!/usr/bin/python
+#!/usr/bin/python -Wd
# runTests.py -- Portage Unit Test Functionality
# Copyright 2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
diff --git a/runtests.sh b/runtests.sh
index 11aec60f5..981fa1ec2 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -28,7 +28,7 @@ exit_status="0"
for version in ${PYTHON_VERSIONS}; do
if [[ -x /usr/bin/python${version} ]]; then
echo -e "${GOOD}Testing with Python ${version}...${NORMAL}"
- if ! /usr/bin/python${version} pym/portage/tests/runTests "$@" ; then
+ if ! /usr/bin/python${version} -Wd pym/portage/tests/runTests "$@" ; then
echo -e "${BAD}Testing with Python ${version} failed${NORMAL}"
exit_status="1"
fi